Class | Irc::Bot::Auth::PermissionSet
In: | lib/rbot/botuser.rb
Parent: | Object

This class describes a permission set

### Methods

inspect new permit? reset_permission set_permission

### Attributes

perm | [R] |

### Public Class methods

new()

Create a new (empty) PermissionSet

### Public Instance methods

inspect()

Inspection simply inspects the internal hash

permit?(str)

Tells if command cmd is permitted. We do this by returning the value of the deepest Command#path that matches.

reset_permission(cmd)

Resets the permission for command cmd

set_permission(str, val)

Sets the permission for command cmd to val,

[Validate]